petsc-3.4.2 2013-07-02

# PCGASMCreateLocalSubdomains

Creates n local index sets for the overlapping Schwarz preconditioner for a any problem based on its matrix.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCGASMCreateLocalSubdomains(Mat A, PetscInt overlap, PetscInt n, IS *iis[], IS *ois[])

Collective

### Input Parameters

| A | - The global matrix operator
| overlap | - amount of overlap in outer subdomains
| n | - the number of local subdomains

### Output Parameters

| iis | - the array of index sets defining the local inner subdomains (on which the correction is applied)
| ois | - the array of index sets defining the local outer subdomains (on which the residual is computed)

Note: this generates n nonoverlapping local inner subdomains on PETSC_COMM_SELF; PCGASM will generate the overlap from these if you use them in PCGASMSetSubdomains() and set a nonzero overlap with PCGASMSetOverlap()

In the Fortran version you must provide the array outis[] already allocated of length n.

### Keywords

PC, GASM, additive Schwarz, create, subdomains, unstructured grid

### See Also

PCGASMSetSubdomains(), PCGASMDestroySubdomains()

Level:advanced
Location:src/ksp/pc/impls/gasm/gasm.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages